#version 330

/** Input variable (the position, which is vertex attribute 0) */
layout(location = 0) in vec4 vertex_position;

/** Input variable (the normal, which is vertex attribute 1) (NOT USED HERE)  */
layout(location = 1) in vec4 vertex_normal;

/** Input variable (the color, which is vertex attribute 2) (NOT USED HERE) */
layout(location = 2) in vec4 vertex_color;

/** Input variable (the tex coord, which is vertex attribute 3) (NOT USED HERE) */
layout(location = 3) in vec4 vertex_texCoord;

/** Output variable which can be used by the fragment shader */
out vec2 texCoord_from_vs;

/**
 * Since this is the vertex shader, the following program is
 * executed for each vertex (i.e. triangle point) individually.
 */
void main()
{
    // Texture coordinate (this is the relative screen coordinate in this case):
    texCoord_from_vs = vertex_position.xy * 0.5 + 0.5;

    // Calculate gl_Position:
    gl_Position = vertex_position;
}
